
.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(160px, 1fr));
  gap: 1.5vw;
  margin: 15px 0;
}
.gallery-item {
  position: relative;
  /* aspect-ratio: 1; */
  overflow: hidden;
}
.gallery-item img {
  width: 100%;
  /* height: 100%; */
  display: block;
  transition: transform 0.3s;
}
.gallery-item:hover img {
  transform: scale(1.2);
}
.gallery-item div.mat {
  position: absolute;
  left: 0;
  top: 0;
  width: 0;
  height: 0;
  background: rgba(255,255,255,0.8);
  transition: width 0.3s, height 0.3s;
}
.gallery-item:hover div.mat {
  width: 100%;
  height: 100%;
}
.gallery-item div.bg {
  position: absolute;
  left: 0;
  top: -25px;
  right: 0;
  bottom: 0;
  padding: 15px;
  transition: top 0.3s, opacity 0.3s;
  opacity: 0;
}
.gallery-item:hover div.bg {
  top: 0;
  opacity: 1;
}
.gallery-item h2 {
  margin: 0 0 15px 0;
  font: normal 24px/1.0 'Oswald', sans-serif;
  text-transform: uppercase;
}
.gallery-item h2 a {
  text-decoration: none;
  color: black;
}
.gallery-item h2 a:hover {
  color: black;
}
.gallery-item div.bg p {
  transition: opacity 0.3s 0.6s;
  opacity: 0;
}
.gallery-item:hover div.bg p {
  opacity: 1;
}
.gallery-item a.btn {
  padding: 4px 10px;
  background-color: var(--spot-color);
  text-decoration: none;
  color: white;
  transition: opacity 0.3s 0.6s; opacity: 0;
}
.gallery-item a.btn:hover {
  background-color: white;
  color: black;
}
.gallery-item:hover a.btn {
  opacity: 1;
}

@media screen and ( min-width: 576px ) {
}

@media screen and ( min-width: 768px ) {
  .gallery {
    grid-template-columns: repeat(auto-fill, minmax(195px, 1fr));
    gap: calc(1.5 * (min(1200px,100vw) - 300px) / 100);
  }
}

@media screen and ( min-width: 992px ) {
}
